Subject: Re: no reassembly for outgoing packets on RAW socket

From: Patrick McHardy <[email-masked]>
Date: Thu, 10 Jun 2010 11:14:04 +0200

Jiri Olsa wrote:
> On Wed, Jun 09, 2010 at 04:16:42PM +0200, Patrick McHardy wrote:
>   
>>> If this is not the way, I'd appreciatte any hint..  my goal is
>>> to put malformed packet on the wire (more frags bit set for a
>>> non fragmented packet)
>>>       
>> I don't have any good suggestions besides adding a flag to the IPCB
>> and skipping defragmentation based on that.
>>     
> ok,
>
> I can see a way when I set this via setsockopt to the socket,
> and check the value before the defragmentation..  would such a new
> setsock option be acceptable?
>
> I'm not sure I can see a way via IPCB, AFAICS it's for skb bound flags
> which arise during the skb processing.
>   

Yes, a socket option is basically what I was suggesting, using the
IPCB to mark the packet. But just marking the socket is fine of
course.